## cmake 3.30.5

=== debian/changelog ===
cmake (3.30.5-0zneon+24.04+noble+stable+build3) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 31 Oct 2024 16:00:41 +0000

cmake (3.30.5-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 04 Jul 2024 11:09:31 +1000

cmake (3.29.0-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 02 Apr 2024 12:52:39 +1100

cmake (3.28.3-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 26 Feb 2024 11:52:50 +1000

cmake (3.28.1-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 20 Dec 2023 13:27:08 +1000

cmake (3.27.5-0neon) jammy; urgency=medium

  * New release

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 15 Sep 2023 03:53:58 -0700

cmake (3.27.4-0neon) jammy; urgency=medium

  * New release

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 12 Sep 2023 04:51:14 -0700

cmake (3.27.3-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 22 Aug 2023 08:27:04 +1000

=== debian/control ===
Source: cmake
Section: devel
Priority: optional
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Felix Gey  er <fgeyer@debian.org>,
           Timo Röhling <roehling@debian.org>
Build-Depends: cmake <cross>,
               debhelper-compat (= 13),
               freebsd-glue [kfreebsd-any],
               libarchive-dev (>= 3.3.3) <!pkg.cmake.bootstrap>,
               libcppdap-dev <!pkg.cmake.bootstrap>,
               libcurl4-openssl-dev <!pkg.cmake.bootstrap> | libcurl-ssl-dev <!pkg.cmake.bootstrap>,
               libexpat1-dev <!pkg.cmake.bootstrap>,
               libjsoncpp-dev <!pkg.cmake.bootstrap>,
               libncurses-dev <!pkg.cmake.bootstrap !pkg.cmake.nogui>,
               librhash-dev <!pkg.cmake.bootstrap>,
               libssl-dev <pkg.cmake.bootstrap>,
               libuv1-dev (>= 1.10) <!pkg.cmake.bootstrap>,
               procps [!hurd-any],
               python3-sphinx:native,
               python3-sphinxcontrib.qthelp:native,
               qtbase5-dev <!pkg.cmake.bootstrap !pkg.cmake.nogui>,
               zlib1g-dev <!pkg.cmake.bootstrap>
Build-Depends-Indep: dh-sequence-sphinxdoc
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://cmake.org/
Vcs-Git: https://invent.kde.org/neon/backports-noble/cmake-noble.git
Vcs-Browser: https://invent.kde.org/neon/backports-noble/cmake-noble
Maintainer: Neon CI <neon@kde.org>

Package: cmake
Architecture: any
Multi-Arch: foreign
Depends: cmake-data (= ${source:Version}),
         procps [!hurd-any],
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gcc, make
Suggests: cmake-doc, cmake-format, elpa-cmake-mode, ninja-build
Description: Cmake - cross-platform, open-source make system.
 CMake is used to control the software compilation process using
 simple platform and compiler independent configuration files. CMake
 generates native makefiles and workspaces that can be used in the
 compiler environment of your choice. CMake is quite sophisticated: it
 is possible to support complex environments requiring system
 configuration, pre-processor generation, code generation, and template
 instantiation.
 .
 This package provides the Cmake binaries and libraries.

Package: cmake-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: CMake data files (modules, templates and documentation).
 CMake is used to control the software compilation process using
 simple platform and compiler independent configuration files. CMake
 generates native makefiles and workspaces that can be used in the
 compiler environment of your choice. CMake is quite sophisticated: it
 is possible to support complex environments requiring system
 configuration, pre-processor generation, code generation, and template
 instantiation.
 .
 This package provides CMake architecture independent data files (modules,
 templates, documentation etc.). Unless you have cmake installed, you probably
 do not need this package.

Package: cmake-curses-gui
Architecture: any
Build-Profiles: <!pkg.cmake.bootstrap !pkg.cmake.nogui>
Depends: cmake (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: curses based user interface for CMake (ccmake).
 CMake is used to control the software compilation process using
 simple platform and compiler independent configuration files. CMake
 generates native makefiles and workspaces that can be used in the
 compiler environment of your choice. CMake is quite sophisticated: it
 is possible to support complex environments requiring system
 configuration, pre-processor generation, code generation, and template
 instantiation.
 .
 This package provides the CMake curses interface. Project configuration
 settings may be specified interactively through this GUI. Brief instructions
 are provided at the bottom of the terminal when the program is running. The
 main executable file for this GUI is "ccmake".

Package: cmake-qt-gui
Architecture: any
Build-Profiles: <!pkg.cmake.bootstrap !pkg.cmake.nogui>
Depends: cmake (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: cmake-gui
Description: Qt based user interface for CMake (cmake-gui).
 CMake is used to control the software compilation process using
 simple platform and compiler independent configuration files. CMake
 generates native makefiles and workspaces that can be used in the
 compiler environment of your choice. CMake is quite sophisticated: it
 is possible to support complex environments requiring system
 configuration, pre-processor generation, code generation, and template
 instantiation.
 .
 This package provides the CMake Qt based GUI. Project configuration
 settings may be specified interactively. Brief instructions are provided at
 the bottom of the window when the program is running. The main executable
 file for this GUI is "cmake-gui".

Package: cmake-doc
Architecture: all
Build-Profiles: <!pkg.cmake.bootstrap>
Multi-Arch: foreign
Section: doc
Depends: cmake-data (= ${source:Version}),
         ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: doc-base
Suggests: cmake
Description: extended documentation in various formats for CMake.
 CMake is used to control the software compilation process using
 simple platform and compiler independent configuration files. CMake
 generates native makefiles and workspaces that can be used in the
 compiler environment of your choice. CMake is quite sophisticated: it
 is possible to support complex environments requiring system
 configuration, pre-processor generation, code generation, and template
 instantiation.
 .
 This package provides additional documentation in various formats like HTML or
 plain text.

## cmake 3.31.2

=== Tests/FindPython/PyPy/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)

project(TestPyPy LANGUAGES C)

set (Python_FIND_IMPLEMENTATIONS PyPy)

find_package(Python ${Python_REQUESTED_VERSION} COMPONENTS Interpreter Development)
if (NOT Python_FOUND)
  message (FATAL_ERROR "Failed to find Python PyPy ${Python_REQUESTED_VERSION}")
endif()

if (NOT Python_Interpreter_FOUND)
  message (FATAL_ERROR "Failed to find Python PyPy Interpreter")
endif()
if (NOT Python_INTERPRETER_ID STREQUAL "PyPy")
  message (FATAL_ERROR "Erroneous interpreter ID (${Python_INTERPRETER_ID})")
endif()

if (NOT Python_Development.Module_FOUND)
  message (FATAL_ERROR "Failed to find Python PyPy ${Python_REQUESTED_VERSION} Development.Module")
endif()
if (NOT Python_Development.Embed_FOUND)
  message (FATAL_ERROR "Failed to find Python PyPy ${Python_REQUESTED_VERSION} Development.Embed")
endif()
if (NOT Python_Development_FOUND)
  message (FATAL_ERROR "Failed to find Python PyPy ${Python_REQUESTED_VERSION} Development")
endif()

if(NOT TARGET Python::Interpreter)
  message(SEND_ERROR "Python::Interpreter not found")
endif()
if(NOT TARGET Python::Module)
  message(SEND_ERROR "Python::Module not found")
endif()
if(NOT TARGET Python::Python)
  message(SEND_ERROR "Python::Python not found")
endif()

=== Tests/RunCMake/GenEx-TARGET_PROPERTY/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.17)
if(RunCMake_TEST STREQUAL "LOCATION")
  cmake_minimum_required(VERSION 2.8.12) # Leave CMP0026 unset.
endif()
project(${RunCMake_TEST} NONE)
include(${RunCMake_TEST}.cmake NO_POLICY_SCOPE)

=== Tests/BuildDepends/Project/External/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(BuildDependsExternal NONE)
if(NOT DEFINED external_in)
  message(FATAL_ERROR "Define external_in")
endif()
if(NOT DEFINED external_out)
  message(FATAL_ERROR "Define external_out")
endif()
add_custom_command(
  OUTPUT ${external_out}
  COMMAND ${CMAKE_COMMAND} -E copy ${external_in} ${external_out}
  DEPENDS ${external_in}
  )
add_custom_target(drive ALL DEPENDS ${external_out})

=== debian/changelog ===
cmake (3.31.2-1) unstable; urgency=medium

  * New upstream version 3.31.2
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Sun, 08 Dec 2024 21:42:00 +0100

cmake (3.31.1-1) unstable; urgency=medium

  * New upstream version 3.31.1
  * Update patches
    - Drop Fix-ImageMagick_-_ARCH_INCLUDE_DIR-detection.patch
    - Drop Recognize-Multi-Arch-libdir-for-musl-linux-any.patch
    - Drop LLD-linker-avoid-regression-on-archive-libraries-ded.patch
    All patches have been accepted and applied by upstream.

 -- Timo Röhling <roehling@debian.org>  Fri, 22 Nov 2024 23:59:06 +0100

cmake (3.31.0-2) unstable; urgency=medium

  * Avoid LLD linker regression on archive deduplication (Closes: #1087983)

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Nov 2024 16:01:07 +0100

cmake (3.31.0-1) unstable; urgency=medium

  * New upstream version 3.31.0
  * Update patches
    - Add metadata to patch for ImageMagick_ARCH_INCLUDE_DIR
    - New patch to recognize musl-linux-any multiarch dirs
      (Closes: #1085507)

 -- Timo Röhling <roehling@debian.org>  Tue, 12 Nov 2024 10:31:58 +0100

cmake (3.30.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * patches/FindImageMagick-version7.patch: adapt for ImageMagick version 7.
    Closes #1087233.

 -- Steve M. Robbins <smr@debian.org>  Mon, 11 Nov 2024 17:24:10 -0600

cmake (3.30.5-1) unstable; urgency=medium

  * New upstream version 3.30.5

 -- Timo Röhling <roehling@debian.org>  Wed, 09 Oct 2024 08:14:22 +0200

## cmake 3.31.3

=== debian/changelog ===
cmake (3.31.3-1) unstable; urgency=medium

  * New upstream version 3.31.3

 -- Timo Röhling <roehling@debian.org>  Sun, 05 Jan 2025 23:16:50 +0100

## cmake 3.31.4

=== debian/changelog ===
cmake (3.31.4-2) unstable; urgency=medium

  * Source only upload.

 -- Timo Röhling <roehling@debian.org>  Wed, 15 Jan 2025 16:26:31 +0100

cmake (3.31.4-1) unstable; urgency=medium

  * New upstream version 3.31.4 (Closes: #1091023)

 -- Timo Röhling <roehling@debian.org>  Wed, 15 Jan 2025 16:26:13 +0100

=== debian/control ===
Source: cmake
Section: devel
Priority: optional
Maintainer: Debian CMake Team <pkg-cmake-team@lists.alioth.debian.org>
Uploaders:
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Felix Geyer <fgeyer@debian.org>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 cmake <cross>,
 debhelper-compat (= 13),
 git <!nocheck>,
 libarchive-dev (>= 3.3.3) <!pkg.cmake.bootstrap>,
 libcppdap-dev <!pkg.cmake.bootstrap>,
 libcurl4-openssl-dev <!pkg.cmake.bootstrap> | libcurl-ssl-dev <!pkg.cmake.bootstrap>,
 libexpat1-dev <!pkg.cmake.bootstrap>,
 libjsoncpp-dev <!pkg.cmake.bootstrap>,
 libncurses-dev <!pkg.cmake.bootstrap !pkg.cmake.nogui>,
 librhash-dev <!pkg.cmake.bootstrap>,
 libssl-dev <pkg.cmake.bootstrap>,
 libuv1-dev (>= 1.10) <!pkg.cmake.bootstrap>,
 procps [!hurd-any],
 python3-sphinx:native,
 python3-sphinxcontrib.qthelp:native,
 qtbase5-dev <!pkg.cmake.bootstrap !pkg.cmake.nogui>,
 zlib1g-dev <!pkg.cmake.bootstrap>,
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/cmake-team/cmake.git
Vcs-Browser: https://salsa.debian.org/cmake-team/cmake
Homepage: https://cmake.org/
Description: cross-platform, open-source make system
 CMake is used to control the software compilation process using
 simple platform and compiler independent configuration files. CMake
 generates native makefiles and workspaces that can be used in the
 compiler environment of your choice. CMake is quite sophisticated: it
 is possible to support complex environments requiring system
 configuration, pre-processor generation, code generation, and template
 instantiation.

Package: cmake
Architecture: any
Multi-Arch: foreign
Depends:
 cmake-data (= ${source:Version}),
 procps [!hurd-any],
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gcc,
 make,
Suggests:
 cmake-doc,
 cmake-format,
 elpa-cmake-mode,
 ninja-build,
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: cmake-curses-gui
Architecture: any
Build-Profiles: <!pkg.cmake.bootstrap !pkg.cmake.nogui>
Depends:
 cmake (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: curses based user interface for CMake (ccmake)
 ${source:Extended-Description}
 .
 This package provides the CMake curses interface. Project configuration
 settings may be specified interactively through this GUI. Brief instructions
 are provided at the bottom of the terminal when the program is running. The
 main executable file for this GUI is "ccmake".

Package: cmake-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: CMake data files (modules, templates and documentation)
 ${source:Extended-Description}
 .
 This package provides CMake architecture independent data files (modules,
 templates, documentation etc.). Unless you have cmake installed, you probably
 do not need this package.

Package: cmake-doc
Architecture: all
Build-Profiles: <!pkg.cmake.bootstrap>
Multi-Arch: foreign
Section: doc
Depends:
 cmake-data (= ${source:Version}),
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 doc-base,
Suggests:
 cmake,
Description: extended documentation in various formats for CMake
 ${source:Extended-Description}
 .
 This package provides additional documentation in various formats like HTML or
 plain text.

Package: cmake-qt-gui
Architecture: any
Build-Profiles: <!pkg.cmake.bootstrap !pkg.cmake.nogui>
Depends:
 cmake (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 cmake-gui,
Description: Qt based user interface for CMake (cmake-gui)
 ${source:Extended-Description}
 .
 This package provides the CMake Qt based GUI. Project configuration
 settings may be specified interactively. Brief instructions are provided at
 the bottom of the window when the program is running. The main executable
 file for this GUI is "cmake-gui".

## cmake 3.31.5

=== debian/changelog ===
cmake (3.31.5-2) unstable; urgency=medium

  * Migrate cmake-qt-gui to Qt 6

 -- Timo Röhling <roehling@debian.org>  Sat, 08 Feb 2025 21:57:44 +0100

cmake (3.31.5-1) unstable; urgency=medium

  * New upstream version 3.31.5

 -- Timo Röhling <roehling@debian.org>  Tue, 28 Jan 2025 10:48:06 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
  Felix Geyer <fgeyer@debian.org>,
  Timo Röhling <roehling@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  cmake <cross>,
- debhelper-compat (= 13),
  git <!nocheck>,
  libarchive-dev (>= 3.3.3) <!pkg.cmake.bootstrap>,
  libcppdap-dev <!pkg.cmake.bootstrap>,
- libcurl4-openssl-dev <!pkg.cmake.bootstrap> | libcurl-ssl-dev <!pkg.cmake.bootstrap>,
+ libcurl4-openssl-dev <!pkg.cmake.bootstrap>,
  libexpat1-dev <!pkg.cmake.bootstrap>,
  libjsoncpp-dev <!pkg.cmake.bootstrap>,
  libncurses-dev <!pkg.cmake.bootstrap !pkg.cmake.nogui>,
@@ -22,7 +22,7 @@
  procps [!hurd-any],
  python3-sphinx:native,
  python3-sphinxcontrib.qthelp:native,
- qtbase5-dev <!pkg.cmake.bootstrap !pkg.cmake.nogui>,
+ qt6-base-dev <!pkg.cmake.bootstrap !pkg.cmake.nogui>,
  zlib1g-dev <!pkg.cmake.bootstrap>,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
